Bug 55083 - Upgrade from Red Hat Linux v7.1 to v7.2 doesn't keep ISDN configuration
Upgrade from Red Hat Linux v7.1 to v7.2 doesn't keep ISDN configuration
Product: Red Hat Linux
Classification: Retired
Component: isdn-config (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-10-25 06:12 EDT by André Johansen
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-25 14:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description André Johansen 2001-10-25 06:12:26 EDT
When installing v7.1, configuring the ISDN system was a breeze using the
"isdn-config" tool.

After the upgrade, this program seems to have been replaced with "neat",
which is unable to reactivate the old configuration.

(I'll try to add more specifics when I have access to the machine again.)
Comment 1 Ngo Than 2001-10-25 06:35:00 EDT
Do you see your ISDN configuration, if you start neat ?
please check in /etc/sysconfig/network-scripts/, the ifcfg-ipppX should exists.

to start or stop ISDN you should use ifup or iifdown pppX (X is 0 if you only
have a ISDN configuration).
Comment 2 André Johansen 2001-10-25 07:15:06 EDT
Yes, I can see it (named "WorldOnline", as I named it in the old program).

I'll check the availability of the scripts when I have access to the machine

In Red Hat Linux v7.1, "service {isdn,network} start" was sufficient to start
the ISDN system.

Comment 3 André Johansen 2001-10-25 14:04:02 EDT
By deleting the old device from neat, neat somehow recreated it on the next
startup, and I am now able to connect to the Internet using my ISDN card
and kisdndock.

The major problem is thus solved, but the fact still remains that it did not
automatically work with the old configuration.  Not a major problem,
but annoying.

Comment 4 Ngo Than 2001-10-29 17:15:34 EST
It's fixed in isdn4k-utils-3.1-47. You find it on ftp://people.redhat.com/than/7.2

Note You need to log in before you can comment on or make changes to this bug.